package com.zfire.mall.manager.enums;


import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum K3StatusEnum {
    A("A","保存"),
    B("B","审核中"),
    C("C","已审核"),
    D("D","重新审核")
    ;

    @JsonValue
    @EnumValue
    private final String key;
    private final String value;


    public static K3StatusEnum findEnumByKey(Boolean key) {
        K3StatusEnum[] values = K3StatusEnum.values();
        for (K3StatusEnum isEnum : values) {
            if (isEnum.getKey().equals(key)) {
                return isEnum;
            }
        }
        return null;
    }

}
